Skip to content

List bulk payments with pagination

Request

🔒 Private label — contact sales. Requires a private-label entitlement on your API client.

List bulk payments with pagination

Security
oauth2ClientCredentials(Required scopes: payments:read)
Query
pagenumber

Page number

Example:page=1
per_pagenumber

Items per page (max 100)

Example:per_page=25
statusstring

Payment status filter

Enum:"pending""processed""cancelled""draft"
fromstring, (date-time)

From Date

Example:from=2026-02-01 00:00
tostring, (date-time)

To Date

Example:to=2026-02-07 23:59
accountstring

Account filter

Example:account=all
channelstring

Payment channel filter

Example:channel=all
all_currencystring

Fetch across all currencies

Example:all_currency=true
Headers
org_wallet_refstring

Organization wallet reference, defaults to "1" if not provided

business_idstringrequired

Business identifier for the request

curl -i -X GET \
  'https://developer.boyahq.com/_mock/v2/openapi/payments?page=1&per_page=25&status=pending&from=2026-02-01%2000%3A00&to=2026-02-07%2023%3A59&account=all&channel=all&all_currency=true' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
  -H 'business_id: string' \
  -H 'org_wallet_ref: string'

Responses

List of bulk payments

Bodyapplication/json
payoutsArray of objects(BulkPaymentV1Dto)

List of bulk payment batches

paginationDataobject(PaginationDataV1Dto)

Pagination metadata

Response
{ "payouts": [ {} ], "paginationData": { "total": 0, "perPage": {}, "currentPage": {}, "totalPages": 0 } }